#!/usr/bin/env python
#
from distutils.core import setup
from DistUtilsExtra.command import *
import subprocess

applications_path = subprocess.check_output(['pkg-config',
    '--variable=applicationfilesdir',
    'libaccounts-glib']).rstrip().decode()
setup(name="unity-scope-gdocs",
      version="0.2",
      author="Alberto Mardegan",
      author_email="alberto.mardegan@canonical.com",
      url="http://launchpad.net/unity-lens-gdocs",
      license="GNU General Public License v3 (GPLv3)",
      data_files=[
    ('lib/unity-lens-files', ['unity-scope-gdocs']),
    ('share/dbus-1/services', ['unity-scope-gdocs.service']),
    ('share/unity/lenses/files', ['gdocs.scope']),
    (applications_path, ['unity-scope-gdocs.application']),
    ], cmdclass={"build":  build_extra.build_extra, })
